Package ghidra.app.util.bin.format.pe.cli.blobs

# Class CliBlobMarshalSpec

java.lang.Object
ghidra.app.util.bin.format.pe.cli.blobs.CliBlob
ghidra.app.util.bin.format.pe.cli.blobs.CliBlobMarshalSpec

All Implemented Interfaces:
  `StructConverter`

public class CliBlobMarshalSpec extends CliBlob

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static enum`
  `CliBlobMarshalSpec.CliNativeType`
  `static class`
  `CliBlobMarshalSpec.CliNativeTypeDataType`
  `static enum`
  `CliBlobMarshalSpec.CliSafeArrayElemType`
  `static class`
  `CliBlobMarshalSpec.CliSafeArrayElemTypeDataType`

- ## Field Summary

  ### Fields inherited from class ghidra.app.util.bin.format.pe.cli.blobs.CliBlob

  `blobOffset, contentsOffset, contentsSize, PATH`

  ### Fields inherited from interface ghidra.app.util.bin.StructConverter

  `ASCII, BYTE, DWORD, IBO32, IBO64, POINTER, QWORD, SLEB128, STRING, ULEB128, UTF16, UTF8, VOID, WORD`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CliBlobMarshalSpec(CliBlob blob)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getContentsComment()`
  Gets the comment associated with this blob's contents.
  `DataType`
  `getContentsDataType()`
  Gets the data type associated with this blob's contents.
  `String`
  `getContentsName()`
  Gets the name associated with this blob's contents.
  `String`
  `getRepresentation()`
  Gets the string representation of this blob.

  ### Methods inherited from class ghidra.app.util.bin.format.pe.cli.blobs.CliBlob

  `decodeCompressedSigned, decodeCompressedSigned, decodeCompressedSigned, decodeCompressedSignedInt, decodeCompressedUnsigned, decodeCompressedUnsigned, decodeCompressedUnsigned, decodeCompressedUnsignedInt, getContents, getContentsReader, getContentsSize, getDataTypeForBytes, getName, getSize, getSizeDataType, getStreamIndex, isLittleEndian, testSizeDecoding, toDataType, toDataType`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CliBlobMarshalSpec

    public CliBlobMarshalSpec(CliBlob blob) throws IOException
    Throws:
      `IOException`

- ## Method Details

  - ### getContentsDataType

    public DataType getContentsDataType()
    Description copied from class: `CliBlob`
    Gets the data type associated with this blob's contents.
    Overrides:
      `getContentsDataType` in class `CliBlob`
    Returns:
      The data type associated with this blob's contents.

  - ### getContentsName

    public String getContentsName()
    Description copied from class: `CliBlob`
    Gets the name associated with this blob's contents.
    Overrides:
      `getContentsName` in class `CliBlob`
    Returns:
      The name associated with this blob's contents.

  - ### getContentsComment

    public String getContentsComment()
    Description copied from class: `CliBlob`
    Gets the comment associated with this blob's contents.
    Overrides:
      `getContentsComment` in class `CliBlob`
    Returns:
      The comment associated with this blob's contents.

  - ### getRepresentation

    public String getRepresentation()
    Description copied from class: `CliBlob`
    Gets the string representation of this blob.
    Overrides:
      `getRepresentation` in class `CliBlob`
    Returns:
      The string representation of this blob.